import mypack.name_utils

import unittest

class TestMyModule(unittest.TestCase):

	def test_name_surname(self):
		self.assertTrue(mypack.name_utils.is_name_surname("Marco Previtali"))
		self.assertFalse(mypack.name_utils.is_name_surname("Marco"))

	def test_name_surname_with_numbers(self):
		self.assertFalse(mypack.name_utils.is_name_surname("111"))
		self.assertFalse(mypack.name_utils.is_name_surname("111 222"))

	def test_name_surname_with_mix(self):
		self.assertFalse(mypack.name_utils.is_name_surname("111 Marco Previtali"))

if __name__ == '__main__':
	unittest.main()
